#ifndef INCLUDED_phoenix_PrimitiveType
#define INCLUDED_phoenix_PrimitiveType

#ifndef HXCPP_H
#include <hxcpp.h>
#endif

HX_DECLARE_CLASS1(phoenix,PrimitiveType)
namespace phoenix{


class PrimitiveType_obj : public hx::EnumBase_obj
{
	typedef hx::EnumBase_obj super;
		typedef PrimitiveType_obj OBJ_;

	public:
		PrimitiveType_obj() {};
		HX_DO_ENUM_RTTI;
		static void __boot();
		static void __register();
		::String GetEnumName( ) const { return HX_CSTRING("phoenix.PrimitiveType"); }
		::String __ToString() const { return HX_CSTRING("PrimitiveType.") + tag; }

		static ::phoenix::PrimitiveType line_loop;
		static inline ::phoenix::PrimitiveType line_loop_dyn() { return line_loop; }
		static ::phoenix::PrimitiveType line_strip;
		static inline ::phoenix::PrimitiveType line_strip_dyn() { return line_strip; }
		static ::phoenix::PrimitiveType lines;
		static inline ::phoenix::PrimitiveType lines_dyn() { return lines; }
		static ::phoenix::PrimitiveType none;
		static inline ::phoenix::PrimitiveType none_dyn() { return none; }
		static ::phoenix::PrimitiveType points;
		static inline ::phoenix::PrimitiveType points_dyn() { return points; }
		static ::phoenix::PrimitiveType triangle_fan;
		static inline ::phoenix::PrimitiveType triangle_fan_dyn() { return triangle_fan; }
		static ::phoenix::PrimitiveType triangle_strip;
		static inline ::phoenix::PrimitiveType triangle_strip_dyn() { return triangle_strip; }
		static ::phoenix::PrimitiveType triangles;
		static inline ::phoenix::PrimitiveType triangles_dyn() { return triangles; }
};

} // end namespace phoenix

#endif /* INCLUDED_phoenix_PrimitiveType */ 
